/*!
 * @file swarm_launcher.h
*/


#ifndef _SWARM_LAUNCHER_H
#define _SWARM_LAUNCHER_H

#include "weapon.h"

class SwarmLauncher : public Weapon
  {
  ObjectListDeclaration(SwarmLauncher);
  public:
    SwarmLauncher ();
    SwarmLauncher(const TiXmlElement* root);
    virtual ~SwarmLauncher ();

    void init();
    virtual void loadParams(const TiXmlElement* root);

    virtual void activate();
    virtual void deactivate();

    virtual void tick(float dt);
    virtual void fire();


  private:
  };

#endif /* _SWARM_LAUNCHER_H */
